#!/usr/bin/perl5
# Parse Acrobat 4 Annotations into T10 letter ballot comments
# by Rob Elliott, HP
# elliott@hp.com
#
# This perl program numbers the comments, strips off the date,
# author, and sequence numbers, and does other cleanup.
#
# Usage:
# Create an Annotations from ... PDF file (Tools..Comments..Summarize)
# Save it as a text file (e.g. input.txt)
# perl parse_ann < input.txt > output.txt
#
use Text::Wrap;     # import wrap()

$Text::Wrap::columns = 76;  # wrap output lines
$prefix = "Comment";        # prepend to each comment - put your initials here

<>;     # consume the Annotations from ... title line

while (<>) {
    # most lines start with Page
    # sometimes it gets concatenated to the previous line with .Page
    if (/Page (\d+)\s*$/) {
        $page = $1;

    # most lines start with Annotation
    # sometimes it gets concatenated to the previous line with .Annotation
    } elsif (/Annotation (\d+); Label.*/) {
        # print wrap "", "", @accumulatedtext;
	# undef @accumulatedtext;
        $item = $1;
        $annotation_count++;
        print "\n$prefix $annotation_count\nPDF Page $page\n";
    } else {
	# push @accumulatedtext, $_;
        print wrap "", "", $_;
    }
    #print wrap "", "", @accumulatedtext;
}

